services:
  generatefiles:
    build: ./FileGeneration/
    volumes:
      - ./Files/data:/var/data
      - buffer:/var/result
    environment:
      DATA_PATH: "/var/data"
      RESULT_PATH: "/var/result"

  app1:
    build: ./App1/
    depends_on:
      - generatefiles
    volumes:
      - ./Files/data:/var/data
      - buffer:/var/result
    environment:
      DATA_PATH: "/var/data"
      RESULT_PATH: "/var/result"
  
  app2:
    build: ./App2/
    depends_on:
      - app1
    volumes:
      - buffer:/var/data
      - ./Files/result:/var/result
    environment:
      DATA_PATH: "/var/data"
      RESULT_PATH: "/var/result"
volumes:
  buffer: